package ch.hei.kart;

// Kart implements this interface to get notified about changes in his setup.
interface KartSetupListener {
	enum SetupParameter {
		DrivePwmPeriod,
		SteeringMaxPosition,
		SteeringStepPeriod,
		SteeringEndSwitchAddress,
		HardwareSettings,
		UpdateInterval
	}
	
	void parameterChanged(SetupParameter parameter);
}
