package ch.hei.kart.comm.transport;

/**
 * Actual Kart transport layer state.
 * 
 * @author Michael Clausen (clm@hevs.ch)
 */
public enum TransportState {
	/**
	 * The connection is and should be offline (not connected yet).
	 */
	Idle,
	
	/**
	 * The transport layer actually is connected.
	 */
	Connected,
	
	/**
	 * The transport layer has lost the connection to the peer.
	 */
	ConnectionLost
}
